<template>
  <gw-chart :options="chartOptions"></gw-chart>
</template>

<script>
import { createNamespacedHelpers } from 'vuex';
import Moment from 'moment';

import GwChart from '@/components/gw-chart/GwChart.vue';

const { mapGetters } = createNamespacedHelpers('cdbCalculate');

export default {
  name: 'FwCdbCalculateChart',
  data() {
    return {
      chartOptions: {},
    };
  },
  computed: {
    ...mapGetters([
      'historyDates',
      'historyUnitPrice',
    ]),
  },
  mounted() {
    const filters = this.$filters;

    this.chartOptions = {
      title: {
        text: 'Evolução do CDB',
      },
      xAxis: {
        reversed: true,
        categories: this.historyDates,
        labels: {
          formatter() {
            return Moment(this.value).format('DD/MM/YYYY');
          },
        },
      },
      yAxis: {
        title: {
          text: 'Valor Calculado',
        },
        labels: {
          formatter() {
            return `R$ ${filters.finance(this.value)}`;
          },
        },
      },
      plotOptions: {
        area: {
          stacking: 'normal',
          lineColor: '#10c0c6',
          lineWidth: 1,
          marker: {
            lineWidth: 1,
            lineColor: '#10c0c6',
          },
        },
      },
      series: [{
        name: 'CDI',
        data: this.historyUnitPrice,
      }],
    };
  },
  components: {
    GwChart,
  },
};
</script>
